VantPay API Documentation
API Docs
API Docs
  1. Inward TransQuery (TSQ)
  • Authentication
    • authenticate-merchant
      POST
  • Virtual Account
    • create-static-account
      POST
    • create-dynamic-account
      POST
    • get-static-virtual-accounts
      GET
    • get-wallet-balance
      GET
    • get-prefixes
      GET
    • get-dynamic-virtual-accounts
      GET
    • validate-virtual-account
      POST
  • Inward Transfers
    • Inward TransQuery (TSQ)
      • inward-traansquery
        GET
    • Inward Transactions
      • get-wallet transactions
  • Merchant Settlement
    • Merchant Payout
      • merchant-settlement
    • Get Settlement History
      • get-settlement-history
    • Confirm Payout Status
      • get-settlement-status
  • Checkout
    • initiate-checkout
      POST
    • create-account
      POST
    • complete-checkout
      POST
    • query-access-code
      GET
  1. Inward TransQuery (TSQ)

inward-traansquery

GET
/api/v1/virtual-accounts/transactions/{{transactionRef}}
This endpoint is used to verify the status of an inbound request received via webhook notification.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://digitvirtual-dev.digitvant.com/api/v1/virtual-accounts/transactions/{{transactionRef}}' \
--header 'accept: */*' \
--header 'Authorization: Bearer <token>'
Response Response Example
{}
Modified at 2026-02-19 13:53:01
Previous
validate-virtual-account
Next
get-wallet transactions
Built with